| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions
Tp::PresenceSpec Class Reference
Wrapper classes

The PresenceSpec class represents a Telepathy presence information supported by a protocol. More...

`#include <TelepathyQt/PresenceSpec>`

List of all members.

## Public Types

- enum SimpleStatusFlag { NoFlags, MaySetOnSelf, CanHaveStatusMessage, AllFlags }

## Public Member Functions

- Q_DECLARE_FLAGS (SimpleStatusFlags, SimpleStatusFlag)
- PresenceSpec ()
- PresenceSpec (const QString &status, const SimpleStatusSpec &spec)
- PresenceSpec (const PresenceSpec &other)
- ~PresenceSpec ()
- bool isValid () const
- PresenceSpec & operator= (const PresenceSpec &other)
- bool operator== (const PresenceSpec &other) const
- bool operator!= (const PresenceSpec &other) const
- bool operator< (const PresenceSpec &other) const
- Presence presence (const QString &statusMessage=QString()) const
- bool maySetOnSelf () const
- bool canHaveStatusMessage () const
- SimpleStatusSpec bareSpec () const

## Static Public Member Functions

- static PresenceSpec available (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec chat (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec pstn (SimpleStatusFlags flags=CanHaveStatusMessage)
- static PresenceSpec away (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec brb (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec dnd (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec busy (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec xa (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec hidden (SimpleStatusFlags flags=AllFlags)
- static PresenceSpec offline (SimpleStatusFlags flags=CanHaveStatusMessage)
- static PresenceSpec unknown (SimpleStatusFlags flags=CanHaveStatusMessage)
- static PresenceSpec error (SimpleStatusFlags flags=CanHaveStatusMessage)

## Detailed Description

The PresenceSpec class represents a Telepathy presence information supported by a protocol.

## Member Enumeration Documentation

enum Tp::PresenceSpec::SimpleStatusFlag

Enumerator:

  NoFlags |
  MaySetOnSelf |
  CanHaveStatusMessage |
  AllFlags |

## Constructor & Destructor Documentation

Tp::PresenceSpec::PresenceSpec | ( |  | ) |

Tp::PresenceSpec::PresenceSpec | ( | const QString & | status,
|  | const SimpleStatusSpec & | spec
| ) |  |

Tp::PresenceSpec::PresenceSpec | ( | const PresenceSpec & | other | ) |

Tp::PresenceSpec::~PresenceSpec | ( |  | ) |

## Member Function Documentation

Tp::PresenceSpec::Q_DECLARE_FLAGS | ( | SimpleStatusFlags | ,
|  | SimpleStatusFlag |
| ) |  |

PresenceSpec Tp::PresenceSpec::available | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::chat | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::pstn | ( | SimpleStatusFlags | flags = `CanHaveStatusMessage` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::away | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::brb | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::dnd | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::busy | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::xa | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::hidden | ( | SimpleStatusFlags | flags = `AllFlags` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::offline | ( | SimpleStatusFlags | flags = `CanHaveStatusMessage` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::unknown | ( | SimpleStatusFlags | flags = `CanHaveStatusMessage` | ) | `[static]`

PresenceSpec Tp::PresenceSpec::error | ( | SimpleStatusFlags | flags = `CanHaveStatusMessage` | ) | `[static]`

bool Tp::PresenceSpec::isValid | ( |  | ) | const`[inline]`

PresenceSpec & Tp::PresenceSpec::operator= | ( | const PresenceSpec & | other | ) |

bool Tp::PresenceSpec::operator== | ( | const PresenceSpec & | other | ) | const

bool Tp::PresenceSpec::operator!= | ( | const PresenceSpec & | other | ) | const

bool Tp::PresenceSpec::operator< | ( | const PresenceSpec & | other | ) | const

Presence Tp::PresenceSpec::presence | ( | const QString & | statusMessage = `QString()` | ) | const

bool Tp::PresenceSpec::maySetOnSelf | ( |  | ) | const

bool Tp::PresenceSpec::canHaveStatusMessage | ( |  | ) | const

SimpleStatusSpec Tp::PresenceSpec::bareSpec | ( |  | ) | const